Page MenuHomePhabricator

A guide for WMF Engineering teams to prevent known problems with volunteers
Closed, DuplicatePublic

Description

The Community Liaison and Developer Relations teams, and many tech and non-tech contributors, find themselves now and then helping to resolve frictions, uneasy situations, and other low intensity conflicts between WMF Engineering teams and volunteers, in tech and non-tech spaces. Even if the people and the topics involved are normally different, frequently the types of context and the patterns are common.

If every time we help solving a conflict we try to abstract the context and the patterns, and we document them in a wiki page at mediawiki.org, maybe at some point that page will be useful for WMF developers (and probably others) to prevent falling into contexts and patterns known to increase the risk of friction with volunteers.

This doesn't need to be a big exercise. With a bit of discipline, every time we helped someone solve a situation, we could check the wiki page to see if there is something worth to be added. A driver starting the page and setting the criteria to declare this task "done enough"would be useful, though.

Related Objects

StatusAssignedTask
DuplicateNone
DuplicateTrizek-WMF
ResolvedTrizek-WMF
DuplicateNone
DuplicateQgil
ResolvedElitre
ResolvedElitre
DeclinedNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
ResolvedKeegan
OpenNone
InvalidKeegan
DeclinedKeegan
ResolvedKeegan
DeclinedNone
ResolvedKeegan
DeclinedNone
ResolvedMoushira
StalledNone
OpenNone
ResolvedQgil
ResolvedKeegan
ResolvedKeegan
OpenNone
ResolvedMoushira
ResolvedQuiddity

Event Timeline

Qgil created this task.Oct 22 2015, 4:57 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Needs Triage.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2015, 4:57 PM

I wonder how broad this task is (can easily end up as general good practices for anything) and where to draw the line if some problems are not "volunteer specific" only.
As one example, would T114384 be blocking this?

Qgil triaged this task as Low priority.Oct 27 2015, 7:07 PM
Qgil moved this task from Backlog to January-March 2016 on the Developer-Advocacy board.
Qgil added a comment.Oct 29 2015, 9:45 AM

The goal of this task is to write recommendations to deal with the current status, therefore T114384 shouldn't be a blocker as in "it needs to be solved in order to resolve this task". Identifying the problems behind not having resolved T114384: Standardise procedures for deprecating public-facing code is already useful.

About the scope, the focus is to help preventing problems upsetting volunteers, which is not the same as "volunteer specific" problems.

Krenair added a subscriber: Krenair.Dec 2 2015, 2:47 PM
Qgil set Security to None.
TheDJ added a subscriber: TheDJ.Feb 25 2016, 10:03 PM
Qgil closed subtask Unknown Object (Task) as Invalid.Feb 25 2016, 10:05 PM